Taslak Dikdörtgen

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Rectangle and the translation is 80% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Polygon.svg Polygon
Next: Text Draft Text.svg Arrow-right.svg

Draft Rectangle.svg Dikdörtgen

Menü konumu
Taslak → Dikdörtgen
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
R E
Versiyonda tanıtıldı
-
Ayrıca bkz
Elips,Parça Kutu


Açıklama

Dikdörtgen aracı, geçerli belgede belirli bir noktaya bir dikdörtgen ekler. Taslak araç çubuğunda Çizgi stili setini kullanır.

İsteğe bağlı olarak, dikdörtgenin her köşesine 45 derecelik bir pah veya dairesel bir fileto ekleyebilir ve dikdörtgeni eşit boyutlu satır ve sütunlardan oluşan bir diziye bölebilirsiniz.

Draft Rectangle example.jpg

İki köşe noktası tarafından tanımlanan dikdörtgen


Nasıl kullanılır

  1. Draft Rectangle.png Dikdörtgen düğmesine basın veya R ardından E tuşları.
  2. 3D görünümde bir ilk köşe noktasını tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın .
  3. 3D görünümünde birincinin karşısındaki başka bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle tuşuna basın.
İkinci nokta, X, Y veya Z eksenleriyle sınırlandırılmamalıdır, aksi takdirde elde edilen dikdörtgen yanlış biçimlendirilir.

Ağaç görünümündeki öğeye çift tıklayarak veya Draft Edit.svg Düzenle düğmesine basılarak dikdörtgen düzenlenebilir. Ardından noktaları yeni bir konuma getirebilirsiniz.

Dikdörtgenin uzunluğu ve genişliği, özelliklerini değiştirerek oluşturulduktan sonra değiştirilebilir.

Seçenekler

  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Göreceli moduna geçmek için R tuşuna basın veya onay kutusunu tıklayın. Göreceli mod açıksa, ikinci noktanın koordinatları birincisine göredir; değilse, kesindir, kökenlerinden alınır (0,0,0).
  • Devam moduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, ikinci noktayı verdikten sonra Dikdörtgen aracı yeniden başlatılır, böylece araç düğmesine tekrar basmadan başka bir dikdörtgen çizebilirsiniz.
  • Dolu moduna geçmek için L tuşuna basın veya onay kutusunu tıklayın. Dolu modu açıksa, dikdörtgen dolgulu bir yüz oluşturur (DATA Make Face True); değilse, dikdörtgen bir yüz oluşturmaz (DATA Make Face False).
  • Yakalama noktanızı mesafeden bağımsız olarak, en yakın çeki konumuna yönlendirmek için çizim yaparken Ctrl tuşunu basılı tutun.
  • Geçerli komutu iptal etmek için Esc veya Close düğmesine basınız.

Özellikler

Veri

  • VERİLength: X ekseni yönündeki şeklin uzunluğunu belirtir.
  • VERİHeight: Y ekseni yönündeki şeklin yüksekliğini belirtir.
  • VERİChamfer Size: dikdörtgenin her bir köşesindeki 45 ° pahın diyagonal uzunluğunu belirtir.
  • VERİFillet Radius: dikdörtgenin her bir köşesindeki 90 ° 'lik fileto yarıçapını belirtir.
  • VERİRows: orijinal şeklin bölündüğü eşit boyutta satır sayısını belirtir; varsayılan olarak, 1 satır.
  • VERİColumns: orijinal şeklin bölündüğü eşit boyutlu sütunların sayısını belirtir; varsayılan olarak, 1 sütun.
  • VERİMake Face: şeklin bir yüz yapıp yapmamasını belirtir. Eğer True ise bir yüz yaratılır, aksi takdirde sadece çevre nesnenin bir parçası olarak kabul edilir.

Görünüm

  • GÖRÜNÜMPattern: şeklin yüzünü doldurmak için bir Desen belirtir. Bu özellik yalnızca VERİMake Face True ise ve GÖRÜNÜMDisplay Mode "Düz Çizgiler" ise çalışır.
  • GÖRÜNÜMPattern Size: Desen 'in boyutunu belirtir.
  • GÖRÜNÜMTexture Image: şeklin yüzünde eşlenecek görüntü dosyasının yolunu belirtir. Bu özelliğin boşaltılması görüntüyü kaldıracak.
Eşlemedeki çarpılmaları önlemek için dikdörtgen, görüntüyle aynı oranlara sahip olmalıdır.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Dikdörtgen aracı, aşağıdaki işlevi kullanarak makrolar ve python konsolundan kullanılabilir:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • X yönünde length ve Y yönünde height, milimetre cinsinden birimlerle Rectangle nesnesi oluşturur.
    • Başka bir yerleşim belirtilmemişse uzunluk X eksenine paralel olacaktır.
  • Bir placement verilirse kullanılır; Aksi halde, şekil başlangıçta oluşturulur.
  • face True ise, şekil bir yüz yapacaktır, yani dolu görünecektir.

Örnek:

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)